Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Class DefDocumentImpl

`java.lang.Object
oracle.xml.parser.v2.XMLNode
oracle.xml.parser.v2.XMLNSNode
oracle.xml.parser.v2.XMLElement
oracle.xml.parser.v2.XMLDocument
oracle.jbo.mom.xml.DefDocumentImpl`

All Implemented Interfaces:
  java.lang.Cloneable, CXMLConstants, DefDocument, Document, DocumentEditVAL, DocumentEvent, DocumentTraversal, Element, ElementEditVAL, EventTarget, java.io.Externalizable, Node, NodeEditVAL, NSName, NSName, NSResolver, java.io.Serializable, XMLConstants

public class DefDocumentImpl
extends XMLDocument
implements DefDocument

A document created by a `DefXMLParser`. Implements the behavior that's required in order to place the document into the MOM cache.

See Also:
  `DefXMLParser`, Serialized Form

Field Summary

Fields inherited from class oracle.xml.parser.v2.XMLDocument
`ANON_DOCUMENT, CONNECTION, defErr, KIND, NO_PREV_LINKS, THICK, THIN`

Fields inherited from class oracle.xml.parser.v2.XMLElement
`ANY_CONTENTTYPE, ELEMENTS_CONTENTTYPE, EMPTY_CONTENTTYPE, MIXED_CONTENTTYPE`

Fields inherited from class oracle.xml.parser.v2.XMLNode
`ATTRDECL, Auto_Events, capturing, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_POSITION_SAME, DOMAttrModified, DOMCharacterDataModified, DOMNodeInserted, DOMNodeInsertedIntoDocument, DOMNodeRemoved, DOMNodeRemovedFromDocument, DOMSubtreeModified, ELEMENTDECL, LAZY_NODE, NAMESPACE_NODE, noncapturing, RANGE_DELETE_EVENT, RANGE_DELETETEXT_EVENT, RANGE_INSERT_EVENT, RANGE_INSERTTEXT_EVENT, RANGE_REPLACE_EVENT, RANGE_SETTEXT_EVENT, SCHEMA_NILLED, SCHEMA_VALID, TRAVERSAL_DELETE_EVENT, TRAVERSAL_REPLACE_EVENT, XDB_DATA, XMLDECL_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface oracle.xml.comp.CXMLConstants
`ATTR_DEF, ATTR_TOKEN, ATTRDECL_DEF, CDATA_DEF, CHAR_DEF, COMMENT_DEF, COMPRESSED_STREAM_VERSION, CXML_VERSION_1, CXML_VERSION_2, cXMLFILE, cXMLFILE_LEN, DTD_DEF, ELEM_SIZE, ELEMENTDECL_DEF, ENCODING, END, ENTITY_DEF, ENTITYREF_DEF, names, NOTATION_DEF, NS_DEF, NS_TOKEN, NULLSTR, PI_DEF, PREFIX_DEF, STANDALONE, STANDALONE_NO, STANDALONE_NONE, STANDALONE_YES, TAG_DEF, TAG_TOKEN, TYPE_4BYTES, TYPE_DEF, TYPE_GLOBAL, TYPE_NILLABLE, TYPE_SIMPLE, TYPE_TOKEN, XMLDECL_DEF, XMLVERSION`

Fields inherited from interface org.w3c.dom.validation.NodeEditVAL
`VAL_FALSE, VAL_INCOMPLETE, VAL_NS_WF, VAL_SCHEMA, VAL_TRUE, VAL_UNKNOWN, VAL_WF`

Fields inherited from interface org.w3c.dom.validation.ElementEditVAL
`VAL_ANY_CONTENTTYPE, VAL_ELEMENTS_CONTENTTYPE, VAL_EMPTY_CONTENTTYPE, VAL_MIXED_CONTENTTYPE, VAL_SIMPLE_CONTENTTYPE`

Fields inherited from interface oracle.xml.parser.v2.XMLConstants
`AMP, ASTERISK, AUTO_VALIDATION, cANY, cATTLIST, cCDATA, cCDATAEND, cCDATASTART, cCOMMENTEND, cCOMMENTSTART, cDECCREF, cDECLSTART, cDOCTYPE, cELEMENT, cEMPTY, cEMPTYTAGEND, cENCODING, cENDTAGSTART, cENTITIES, cENTITY, cFIXED, cHEXCREF, cID, cIDREF, cIDREFS, cIGNORE, cIMPLIED, cINCLUDE, cNDATA, cNMTOKEN, cNMTOKENS, cNOTATION, COLON, COMMA, cPIEND, cPISTART, cPUBLIC, cREQUIRED, cSTANDALONE, cSYSTEM, cVERSION, cXML, DEFAULT_HASHSIZE_BIG, DEFAULT_HASHSIZE_SMALL, DEFAULT_PREFIX, DOUBLEQUOTE, DTD_VALIDATION, EOF, EQ, ERROR, EXCLAMATION, EXT_GEN_ENTITY_FEATURE, EXT_PAR_ENTITY_FEATURE, FATAL_ERROR, FDIGIT, FLETTER, FMISCNAME, FSTARTNAME, FWHITESPACE, HASH, ICOUNT, ISTART, LEFTSQB, LPAREN, nameCDATA, nameCOMMENT, nameDOCUMENT, nameDOCUMENTFRAGMENT, nameENCODING, nameNameSpace, NAMESPACE_FEATURE, NAMESPACE_PREFIX_FEATURE, nameSpaceSeparator, nameSTANDALONE, nameTEXT, nameVERSION, nameXML, nameXMLLang, nameXMLNamespace, nameXMLNSNamespace, nameXMLSpace, nameXSLPI, NONVALIDATING, OR, PARTIAL_VALIDATION, PERCENT, PLUS, QMARK, QUOTE, RIGHTSQB, RPAREN, SCHEMA_LAX_VALIDATION, SCHEMA_STRICT_VALIDATION, SCHEMA_VALIDATION, SEMICOLON, SLASH, STRING_INTERN_FEATURE, TAGEND, TAGSTART, USE_LOC2_FEATURE, VALIDATION_FEATURE, WARNING`

Constructor Summary
`DefDocumentImpl()` Constructor.

Method Summary
`DefElement` | `getRootDefElement()` Returns the `DefElement` for the top-level (root) element.

Methods inherited from class oracle.xml.parser.v2.XMLDocument
`addID, adoptNode, appendChild, canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, checkTypeNSName, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createEvent, createMutationEvent, createNodeFromType, createNodeFromType, createNodeIterator, createProcessingInstruction, createRange, createRangeEvent, createTextNode, createTextNode, createTraversalEvent, createTreeWalker, expectedElements, freeNode, getAttributes, getColumnNumber, getConfig, getContinuousValidityChecking, getDebugMode, getDefinedElements, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getIDElement, getIDHashtable, getImplementation, getInfosetReader, getInputEncoding, getLineNumber, getLocalName, getNamespace, getNamespaceURI, getNextSibling, getNodeLocalName, getNodeName, getNodePrefix, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getQName, getSchema, getStandalone, getStrictErrorChecking, getSystemId, getText, getVersion, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, insertBefore, isDocOrdered, nodeValidity, normalizeDocument, print, print, print, print, print, printExternalDTD, printExternalDTD, printExternalDTD, readExternal, readExternal, removeChild, renameNode, replaceChild, reportSAXEvents, setContinuousValidityChecking, setDocOrder, setDocOrdered, setDoctype, setDocumentURI, setEncoding, setLocale, setParsedDoctype, setSchema, setStandalone, setStrictErrorChecking, setVersion, setXmlStandalone, setXmlVersion, validateDocument, validateElementContent, writeExternal, writeExternal`

Methods inherited from class oracle.xml.parser.v2.XMLElement
`canRemoveAttribute, canRemoveAttributeNode, canRemoveAttributeNS, canSetAttribute, canSetAttributeNode, canSetAttributeNS, canSetTextContent, getAllNamespaceAttrs, getAllowedAttributes, getAllowedChildren, getAllowedFirstChildren, getAllowedNextSiblings, getAllowedParents, getAllowedPreviousSiblings, getAttribute, getAttributeNode, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildrenByTagName, getChildrenByTagName, getContentType, getDefaultValue, getElementsByTagName, getEnumeratedValues, getExpandedName, getFirstAttribute, getNextSiblingByName, getQualifiedName, getRequiredAttributes, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isElementDefined, isElementDefinedNS, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, resolveNamespacePrefix, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setPrefix, setTagName, validateContent, validateContent, validateContent, validateContent, validateContent`

Methods inherited from class oracle.xml.parser.v2.XMLNSNode
`addText, addText, checkDocument, getChildNodes, getFirstChild, getLastChild`

Methods inherited from class oracle.xml.parser.v2.XMLNode
`addEventListener, cloneNode, compareDocOrder, compareDocumentPosition, copyNode, createChildFromOffset, dispatchEvent, equals, getBaseURI, getDocOrderId, getDocument, getEndTagLineNum, getFeature, getNodeValue, getPrimitiveTypeId, getProperty, getSchemaTypeName, getSrcRoot, getTextContent, getUniqueId, getUserData, getXMLError, hasChildNodes, hashCode, isDefaultNamespace, isDocumentFlag, isEqualNode, isNodeFlag, isSameNode, isSupported, lookupByTagName, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, makeDocumentOrder, readChildNodes, removeEventListener, resetNodeFlag, selectNodes, selectNodes, selectNodes, selectSingleNode, selectSingleNode, setDebugInfo, setDebugInfoEndTagLineNum, setNodeFlag, setNodeFlag, setNodeFlag, setNodeId, setNodeValue, setPrimitiveTypeId, setProperty, setTextContent, setUserData, supports, transformNode, valueOf, valueOf, xdbGetNodeId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`cloneNode, getChildNodes, getFirstChild, getLastChild, getNodeValue, hasAttributes, hasChildNodes, isSupported, normalize, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.validation.NodeEditVAL
`getDefaultValue, getEnumeratedValues`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Constructor Detail

### DefDocumentImpl

    public DefDocumentImpl()

  Constructor. Creates an empty document.

Method Detail

### getRootDefElement

    public DefElement getRootDefElement()

  Returns the `DefElement` for the top-level (root) element.
  Specified by:
    `getRootDefElement` in interface `DefDocument`
  Returns:
    the root element.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.